package com.yidianling.user.api.service

import android.app.Activity
import android.content.Context
import com.alibaba.android.arouter.facade.template.IProvider

/**
 * Created by haorui on 2019-12-18 .
 * Des: App 壳应用 方法调用，临时解决方案
 *      待壳应用组件化抽取后，放置于壳应用组件之下
 */
interface IAppService : IProvider {

    fun mainIntent(activity: Activity)

    fun mainIntent(context: Context, selectTab: Int, animation: Boolean)

    fun myRedPockIntent(activity: Activity)

    fun receiverRedPacketIntent(activity: Activity, param: String)

    fun personalInfoIntent(activity: Activity)

    fun rechargeIntent(activity: Activity)

    fun splashIntent(activity: Activity)

    fun feedBackIntent(activity: Activity)

    fun sendRedPacketIntent(activity: Activity, toUid: String)

    fun notificationSettingIntent(activity: Activity)

    fun privacyIntent(activity: Activity)

    fun accountHistoryIntent(activity: Activity)

    fun rechargeActivityIntent(activity: Activity)

}